import spacy

#ORIG_DEREKO_VECS = "/export/netapp/kupietz/embeddings/dereko-2020-ii-alpha.all.txt.gz"

# Made with command: python -m spacy init-model de de_fastext_vectors --vectors-loc dereko_vectors/cc.de.300.vec.gz
SPACY_FAST_DE = "../../lib/de_fastext_vectors" 

VECTORS = SPACY_FAST_DE

nlp_dereko = spacy.load(VECTORS)
doc1 = nlp_dereko("`` Ross Perot wäre vielleicht ein prächtiger Diktator ''")
doc2 = nlp_dereko("Konzernchefs lehnen den Milliardär als US-Präsidenten ab")
doc3 = nlp_dereko("Texaner gibt nur vage Auskunft über seine Wirtschaftspolitik")
print(doc1.similarity(doc2))
print(doc1.similarity(doc3))


